View Issue Details

IDProjectCategoryView StatusLast Update
0000884SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.7 
Target Version3.1.8Fixed in Version3.1.8 
Summary0000884: Documented cluster.server.id property is not supported. Add support.
DescriptionDocumented cluster.server.id property is not supported. Add support.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f4bc7df0

2012-10-28 11:07:39

chenson

Details Diff
0000884: Documented cluster.server.id property is not supported. Add support.
0000882: Stats Purge Job needs to be clustered. Running on multiple nodes can cause deadlocks

0000884
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StatisticFlushJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IPurgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/StatisticManager.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AppUtils.java Diff File

Issue History

Date Modified Username Field Change
2012-10-28 11:06 chenson New Issue
2012-10-28 11:06 chenson Status new => assigned
2012-10-28 11:06 chenson Assigned To => chenson
2012-10-28 11:06 chenson Status assigned => resolved
2012-10-28 11:06 chenson Fixed in Version => 3.2.0
2012-10-28 11:06 chenson Resolution open => fixed
2012-10-29 09:24 chenson Fixed in Version 3.2.0 => 3.1.8
2012-10-29 09:25 chenson Target Version 3.2.0 => 3.1.8
2012-10-29 09:25 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6391
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f4bc7df0